## meepctl lint

Lint core components & packages

### Synopsis

AdvantEDGE is composed of a collection of micro-services.

Lint command verifies code format & syntax.
Multiple targets can be specified (e.g. meepctl lint <target1> <target2>...)

```
meepctl lint <targets> [flags]
```

### Examples

```
  # Lint all components
  meepctl lint all
  # Lint meep-platform-ctrl component only
  meepctl lint meep-platform-ctrl

Valid Targets:
  * all
  * meep-ams
  * meep-app-enablement
  * meep-applications
  * meep-auth-svc
  * meep-couch
  * meep-data-key-mgr
  * meep-data-model
  * meep-frontend
  * meep-gc
  * meep-gis-asset-mgr
  * meep-gis-cache
  * meep-gis-engine
  * meep-http-logger
  * meep-loc-serv
  * meep-logger
  * meep-metrics
  * meep-metrics-engine
  * meep-mg-manager
  * meep-mg-manager-model
  * meep-model
  * meep-mon-engine
  * meep-mq
  * meep-net-char-mgr
  * meep-pdu-session-store
  * meep-platform-ctrl
  * meep-redis
  * meep-replay-manager
  * meep-rnis
  * meep-sandbox-ctrl
  * meep-sandbox-store
  * meep-sessions
  * meep-subscriptions
  * meep-swagger-api-mgr
  * meep-tc-engine
  * meep-tc-sidecar
  * meep-users
  * meep-virt-engine
  * meep-vis
  * meep-vis-traffic-mgr
  * meep-wais
  * meep-watchdog
  * meep-webhook
  * meep-websocket
```

### Options

```
  -h, --help   help for lint
```

### Options inherited from parent commands

```
  -t, --time      Display timing information
  -v, --verbose   Display debug information
```

### SEE ALSO

* [meepctl](meepctl.md)	 - meepctl - CLI application to control the AdvantEDGE platform

###### Auto generated by spf13/cobra on 10-Dec-2021
